'Replication of MW2020
'Figure 2

%path=@runpath
cd %path

wfopen multivariate_bn_dataset.wf1


series pc_nonborres=@pc(nonborres)
string varlist="c111clp2_ifs gdpc96 pcecc96 dpic96 indpro cumfns ce16ov unrate hoanbs houst pcectpi gdpctpi cpiaucsl ppiaco ces3000000008 ophnfb fedfunds t10yffm m1real m2real totresns pc_nonborres c111is_ifs"


vector log_code=@fill(1,1,1,1,1,0,1,0,1,1,1,1,1,1,1,1,0,0,1,1,1,0,1)
vector trans_code=@fill(1,1,1,1,1,1,1,0,1,1,2,2,1,1,2,1,1,1,1,1,1,0,1)


for !j=1 to @wcount(varlist)
	if log_code(!j) =1 then
		%S=@word(varlist, !j)
		series log{%S}=100*log({%S})
		varlist = @WReplace(varlist, %S, "log" +%S )
	endif	
next

for !j=1 to @wcount(varlist)
	if trans_code(!j)<>0 then
		%S=@word(varlist,!j)
		series d{%S} = d({%S},trans_code(!j))
		varlist = @WReplace(varlist, %S, "d"+%S )
	endif
next

'bnmwd(sample="1959q3 2016q4") 4 2 @ {varlist}
bnmwd(sample="1959q3 2016q4") 4 2 @ dlogc111clp2_ifs dloggdpc96 dlogpcecc96 dlogdpic96 dlogindpro dcumfns dlogce16ov unrate dloghoanbs dloghoust dlogpcectpi dloggdpctpi dlogcpiaucsl dlogppiaco dlogces3000000008 dlogophnfb dfedfunds dt10yffm dlogm1real dlogm2real dlogtotresns pc_nonborres dlogc111is_ifs

graph.recshade

