'Replication of MW2020
'Figure 2 and Figure 3

%path=@runpath
cd %path

wfopen multivariate_bn_dataset.wf1

group bench23  c111clp2_ifs gdpc96 pcecc96 dpic96 indpro cumfns ce16ov unrate hoanbs houst pcectpi gdpctpi cpiaucsl ppiaco ces3000000008 ophnfb fedfunds t10yffm m1real m2real totresns @pc(nonborres) c111is_ifs


vector log_code=@fill(1,1,1,1,1,0,1,0,1,1,1,1,1,1,1,1,0,0,1,1,1,0,1)
vector trans_code=@fill(1,1,1,1,1,1,1,0,1,1,2,2,1,1,2,1,1,1,1,1,1,0,1)

group log_bench23
for !j=1 to bench23.@count
	if log_code(!j) =1 then
		log_bench23.add 100*log(bench23(!j))
	else
		log_bench23.add bench23(!j)
	endif
next

group dlog_bench23
for !j=1 to bench23.@count
	dlog_bench23.add d(log_bench23(!j),trans_code(!j))
next

bnmwd(sample="1959q3 2016q4",contr=1) 4 2 @ dlog_bench23

graph.recshade


